<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link
        href="https://fonts.googleapis.com/css2?family=Montserrat:ital@0;1&family=Open+Sans&family=Space+Grotesk&display=swap"
        rel="stylesheet">
    <style>
        h4 {
            font-family: Space Grotesk;
            font-size: 24px;
            font-weight: 700;
            line-height: 36px;
            letter-spacing: 0em;
            text-align: left;
            color: #000000;
            margin-top: 200px;

        }

        .frame {
            width: 2679px;
            height: 1746px;
            top: 1040px;
            left: -403px;
            padding: 361px 619px 361px 620px;
            background: linear-gradient(120.21deg, #3E708E 11.18%, #64969B 74.17%);
            display: flex;
            justify-content: space-around
        }

        .desktop {
            width: 1440px;
            height: 1024px;
            top: 361px;
            left: 620px;
            background: #FFFFFF;

        }

        .form-group {
            width: 400px;
            height: 68px;
            top: 316px;
            left: 194px;
            border-radius: 4px;
            border: 1px;
        }

        .text-left {
            font-family: Space Grotesk;
            font-size: 12px;
            font-weight: 400;
            line-height: 16px;
            letter-spacing: 0em;
            text-align: left;
            margin-bottom: 8px;
        }

        .btn {
            width: 400px;
            height: 40px;
            top: 665px;
            left: 194px;
            border-radius: 4px;
            border: 1px;
            border: 1px;
            background-color: #284A5E;
            color: #FFFFFF;
            margin-top: 45px;

        }

        .password {
            margin-bottom: 45px;
        }

        .right-content {
            background: linear-gradient(162.21deg, #517879 4.83%, #1E3E57 103.44%);
            width: 653px;
            height: 1024px;
            left: 787px;

        }

        .contain {
            flex-wrap: nowrap;
        }

        .big-size {
            width: 431px;
            height: 288px;
            top: 349px;
            left: 882px;
            opacity: 0.10000000149011612px;
            font-family: Space Grotesk;
            font-weight: 700;
            line-height: 96px;
            letter-spacing: 0em;
            text-align: left;
            color: #FFFFFF;
            margin-left: 95px;
            margin-top: 350px;
        }

        .small-size {
            font-family: Space Grotesk;
            font-size: 16px;
            font-weight: 700;
            line-height: 24px;
            letter-spacing: 0em;
            text-align: left;
            color: #FFFFFF;
            margin-left: 95px;

        }

        .left-form {
            margin-left: 90px;
            width: 700px;
        }

        .footer {
            width: 171px;
            height: 24px;
            margin-left: 130px;
            font-size: 16px;
            margin-top:80px ;
        }
    </style>
</head>

<body>frame
    <div class="container frame">
        <div class="container-lg desktop">
            <div class="row contain">

                <form class="left-form" id="sign-up-form">
                    <div>
                        <h4>Let’s get you started</h4>
                    </div>
                    <div class="form-group">
                        <label for="input-fullname">FullName</label>
                        <input type="name" class="form-control" id="input-fullname" placeholder="Your fullname">

                    </div>
                    <div class="form-group">
                        <label for="input-email">Email address</label>
                        <input type="email" class="form-control" id="input-email" placeholder="Your email address">
                    </div>
                    <div class="form-group password">
                        <label for="input-password">Create password</label>
                        <input type="password" class="form-control" id="input-password" placeholder="Password">
                        <p class="text-left" style="font-size: 12px;">Password must contain a minimum of 8 characters
                        </p>
                        <p class="text-left" style="font-size: 12px;">Password must contain at least one symbol e.g. @,
                            !</p>
                    </div>

                    <button type="submit" class="btn" onclick="onBtnSignUpClick()">Sign up</button>
                    <div>
                        <p class="footer" style="color: #C4C4C4;">Already a user?<span
                                style="color: #476D73;">Login</span></p>
                    </div>

                </form>
                <div class="right-content">
                    <div class="big-size" style="font-size: 64px;">“Creativity is intelligence having fun”</div>
                    <p class="small-size ">-Albert Einstein</p>
                </div>
            </div>


        </div>
    </div>
</body>
<script>
    'use strict';
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_STATUS_CREATED = 201;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    const gBASE_URL = "https://62458c222cfed18817229118.mockapi.io/users";
    const gBASE_URL_CONTACTS = "https://62458c222cfed18817229118.mockapi.io/contacts";
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */

    function onBtnSignUpClick() {
        var vSignupForm = document.getElementById("sign-up-form");
        vSignupForm.addEventListener("submit", function (paramEvent) {
            // Sử dụng preventDefault để loại bỏ hành động submit mặc định của form
            paramEvent.preventDefault();
        });
        var vUserObj = {
            fullname: "",
            email: "",
            password: "",
        
        }
        //B1 thu thập dữ liệu
        thuThapDuLieu(vUserObj);
        //B2 kiểm tra dữ liệu
        var vDuLieuHopLe = kiemTraDuLieu(vUserObj);
        if (vDuLieuHopLe) {
            var vXmlHttpLogin = new XMLHttpRequest();
            //B3 gọi api login
            goiApiLogin(vUserObj, vXmlHttpLogin);
            vXmlHttpLogin.onreadystatechange =
                function () {
                    if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
                        var vLoginInfo = vXmlHttpLogin.responseText;
                        //console.log(vLoginInfo);
                        var vLoginJsonObj = JSON.parse(vLoginInfo);

                         console.log(vLoginJsonObj);
                        if (vLoginJsonObj.length > 0) {
                            alert("Tạo tài khoảng thành công");
                        } else {
                            alert("Tạo tài khoảng thất bại")
                        }
                    }
                }
        }
    }
     /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
     function thuThapDuLieu(paramUserObj) {
        var vInputFullname = document.getElementById("input-fullname");
        var vInputEmail = document.getElementById("input-email");
        var vInputPassword = document.getElementById("input-password");
        
        paramUserObj.fullname = vInputFullname.value.trim();
        paramUserObj.email = vInputEmail.value.trim();
        paramUserObj.password = vInputPassword.value.trim();
    }
    function kiemTraDuLieu(paramUserObj) {
        if (paramUserObj.fullname == "") {
            alert("Bạn chưa nhập tên");
            return false;
        }
        var vRegexEmail = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|.(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
        if (!paramUserObj.email.match(vRegexEmail)) {
            alert("Email không đúng định dạng");
            return false;
        }
        if (paramUserObj.password.length < 8) {
            alert("Mật khẩu phải lớn hơn hoặc bằng 8 kí tự");
            return false;
        }
        if(!paramUserObj.password.includes("@","!")){
            alert("Mật khẩu phải chứa kí hiệu đặc biệt");
            return false;
        }
        return true;
    }
    function goiApiLogin(paramUserObj, paramXmlHttp) {
        const vParams = new URLSearchParams({
            fullname: paramUserObj.fullname,
            email: paramUserObj.email,
            password: paramUserObj.password,
        });

        paramXmlHttp.open("GET", gBASE_URL + "?" + vParams.toString(), true);
        paramXmlHttp.send();
    }
</script>
</html>